org.modeshape.jcr.cache

## Class ChildReferences.WithChanges

- java.lang.Object
- - org.modeshape.jcr.cache.ChildReferences.WithChanges

- All Implemented Interfaces:
    ChildReferences.Context
  Enclosing interface:
    ChildReferences

      @ThreadSafe
      public static class ChildReferences.WithChanges
      extends Object
      implements ChildReferences.Context

  A `ChildReferences.Context` implementation that has changes and can be used to find the SNS indexes for nodes named a single name.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChildReferences.WithChanges(ChildReferences.Context delegate, ChildReferences.Changes changes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildReferences.Changes` | `changes()` Get the set of changes for this context.
    `int` | `consume(Name name, NodeKey key)` Consume the next child with the supplied name and key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChildReferences.WithChanges

          public ChildReferences.WithChanges(ChildReferences.Context delegate,
                                     ChildReferences.Changes changes)

  - ### Method Detail

    - #### consume

          public int consume(Name name,
                    NodeKey key)

      Description copied from interface: `ChildReferences.Context`
      Consume the next child with the supplied name and key.
      Specified by:
        `consume` in interface `ChildReferences.Context`
      Parameters:
        `name` - the name of the node; may not be null
        `key` - the key for the node; may not be null
      Returns:
        the same-name-sibling index for this node; always positive

    - #### changes

          public ChildReferences.Changes changes()

      Description copied from interface: `ChildReferences.Context`
      Get the set of changes for this context.
      Specified by:
        `changes` in interface `ChildReferences.Context`
      Returns:
        the changes; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.